Page 85 of 236 FirstFirst ... 3575838485868795135185 ... LastLast
Results 841 to 850 of 2358

Thread: HOWTO: Install and use the latest FFmpeg and x264

  1. #841
    Join Date
    Jun 2007
    Beans
    Hidden!
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: HOWTO: Install and use the latest FFmpeg and x264

    This guide is the best I have seen yet.

    I have one question though. Should the pkgversion be 5:0 now?

  2. #842
    Join Date
    Dec 2009
    Beans
    378

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Hi all,

    I'm using Ubuntu 9.10. I read this post and after I have installed ffmpeg +h264 from source.

    Now I would like to use VLC whose transcoding capabilities are based on ffmpeg.

    I have installed VLC from source (1.0.4) e repository (1.0.2) with the same result.

    I would like to use the following command that work with h.263 and h.263p

    Code:
    vlc image.jpg --rtsp-caching=12000 --fake-duration 60000 --sout  '#transcode{vcodec=H264,vb=800,width=352,height=288}:duplicate{dst=rtp{sdp=rtsp://192.168.0.4:8080/test.sdp}}'  vlc://quit
    I can't understand if the problem is in ffmpeg transcoding capabilities or in VLC

    before installing ffmpeg with h.264 support i got this error

    Code:
    avcodec encoder error: cannot find encoder H264 - MPEG-4 AVC (part 10)
    *** Your FFMPEG installation is crippled.   ***
    *** Please check with your FFMPEG packager. ***
    *** This is NOT a VLC media player issue.   ***
    [0x970fa90] stream_out_transcode stream out error: cannot find video encoder (module:any fourcc:H264)
    [0x970fa90] stream_out_transcode stream out error: cannot create video chain
    [0x9974b80] main packetizer error: cannot create packetizer output (fake)
    after installation

    Code:
    [0x893ff20] stream_out_rtp stream out error: cannot add this stream (unsupported codec: H264)
    [0x86f0910] stream_out_transcode stream out error: cannot add this stream
    I think that the problem is in VLC...

    thank you

  3. #843
    Join Date
    Dec 2006
    Beans
    7,197

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Hi erotavlas,

    I also build my own vlc but I am not very familiar with the vlc commandline syntax. What are the results of:

    Code:
    andrew@skamandros~$ vlc -l | grep 264
    VLC media player 1.1.0-git The Luggage
      x264                   H.264/MPEG4 AVC encoder (x264)
      h264                   H264 video demuxer
      packetizer_h264        H.264 video packetizer
    I believe, and feel free to contradict me here, that vlc uses x264 directly for encoding but decoding depends on an appropriately configured libavcodec at compile time. I am not completely sure of this though and would welcome correction...

    Andrew
    Last edited by andrew.46; January 27th, 2010 at 10:38 PM.
    You think that's air you're breathing now?

  4. #844
    Join Date
    Oct 2009
    Location
    /Germany/home
    Beans
    28
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Code:
    vlc -l | grep 264
    VLC media player 1.0.4 Goldeneye
      h264                H264-Videodemuxer
      x264                  H.264/MPEG4 AVC encoder (x264)
      packetizer_h264       H.264-Videopacketizer
    Greetings
    Henrikx

    Ego sum, qui sum

  5. #845
    Join Date
    Dec 2009
    Beans
    378

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Hi,

    VLC

    Code:
    tore@tore-desktop:~/Scrivania/vlc-1.0.4$ vlc -l | grep 264 
    VLC media player 1.0.2 Goldeneye
      h264                  Demuxer video H264
      packetizer_h264       Pacchettizatore video H.264
      x264                  Codificatore H.264/MPEG4 AVC (x264)



    FFmpeg

    Code:
    tore@tore-desktop:~/Scrivania$ ffmpeg  -codecs  | grep 264
    FFmpeg version SVN-r21462, Copyright (c) 2000-2010 Fabrice Bellard, et al.
      built on Jan 26 2010 18:39:51 with gcc 4.4.1
      configuration: --enable-gpl --enable-version3 --enable-nonfree --enable-postproc --enable-pthreads --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libx264 --enable-libxvid --enable-x11grab
      libavutil     50. 7. 0 / 50. 7. 0
      libavcodec    52.48. 0 / 52.48. 0
      libavformat   52.47. 0 / 52.47. 0
      libavdevice   52. 2. 0 / 52. 2. 0
      libswscale     0. 9. 0 /  0. 9. 0
      libpostproc   51. 2. 0 / 51. 2. 0
     D V D  h264            H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10
      EV    libx264         libx264 H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10
    Code:
    tore@tore-desktop:~/Scrivania$ ffmpeg  -formats  | grep 264
    FFmpeg version SVN-r21462, Copyright (c) 2000-2010 Fabrice Bellard, et al.
      built on Jan 26 2010 18:39:51 with gcc 4.4.1
      configuration: --enable-gpl --enable-version3 --enable-nonfree --enable-postproc --enable-pthreads --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libx264 --enable-libxvid --enable-x11grab
      libavutil     50. 7. 0 / 50. 7. 0
      libavcodec    52.48. 0 / 52.48. 0
      libavformat   52.47. 0 / 52.47. 0
      libavdevice   52. 2. 0 / 52. 2. 0
      libswscale     0. 9. 0 /  0. 9. 0
      libpostproc   51. 2. 0 / 51. 2. 0
     DE h264            raw H.264 video format
      E ipod            iPod H.264 MP4 format
    tore@tore-desktop:~/Scrivania/vlc-1.0.4$

  6. #846
    Join Date
    Dec 2009
    Beans
    378

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Hi,

    VLC

    Code:
    tore@tore-desktop:~/Scrivania/vlc-1.0.4$ vlc -l | grep 264 
    VLC media player 1.0.2 Goldeneye
      h264                  Demuxer video H264
      packetizer_h264       Pacchettizatore video H.264
      x264                  Codificatore H.264/MPEG4 AVC (x264)



    FFmpeg

    Code:
    tore@tore-desktop:~/Scrivania$ ffmpeg  -codecs  | grep 264
    FFmpeg version SVN-r21462, Copyright (c) 2000-2010 Fabrice Bellard, et al.
      built on Jan 26 2010 18:39:51 with gcc 4.4.1
      configuration: --enable-gpl --enable-version3 --enable-nonfree --enable-postproc --enable-pthreads --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libx264 --enable-libxvid --enable-x11grab
      libavutil     50. 7. 0 / 50. 7. 0
      libavcodec    52.48. 0 / 52.48. 0
      libavformat   52.47. 0 / 52.47. 0
      libavdevice   52. 2. 0 / 52. 2. 0
      libswscale     0. 9. 0 /  0. 9. 0
      libpostproc   51. 2. 0 / 51. 2. 0
     D V D  h264            H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10
      EV    libx264         libx264 H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10
    Code:
    tore@tore-desktop:~/Scrivania$ ffmpeg  -formats  | grep 264
    FFmpeg version SVN-r21462, Copyright (c) 2000-2010 Fabrice Bellard, et al.
      built on Jan 26 2010 18:39:51 with gcc 4.4.1
      configuration: --enable-gpl --enable-version3 --enable-nonfree --enable-postproc --enable-pthreads --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libx264 --enable-libxvid --enable-x11grab
      libavutil     50. 7. 0 / 50. 7. 0
      libavcodec    52.48. 0 / 52.48. 0
      libavformat   52.47. 0 / 52.47. 0
      libavdevice   52. 2. 0 / 52. 2. 0
      libswscale     0. 9. 0 /  0. 9. 0
      libpostproc   51. 2. 0 / 51. 2. 0
     DE h264            raw H.264 video format
      E ipod            iPod H.264 MP4 format
    tore@tore-desktop:~/Scrivania/vlc-1.0.4$
    What do you think? Where is the problem?

    Thank you

  7. #847
    Join Date
    Oct 2009
    Location
    /Germany/home
    Beans
    28
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: HOWTO: Install and use the latest FFmpeg and x264

    @erotavlas
    Why without libavfilter?

    Code:
    ffmpeg  -codecs  | grep 264
    FFmpeg version SVN-r21500, Copyright (c) 2000-2010 Fabrice Bellard, et al.
      built on Jan 28 2010 09:49:28 with gcc 4.4.1
      configuration: --enable-gpl --enable-version3 --enable-libdirac --enable-libschroedinger --enable-nonfree --enable-postproc --enable-pthreads --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-avfilter --enable-libtheora --enable-libvorbis --enable-libx264 --enable-libxvid --enable-x11grab --enable-libdc1394 --enable-runtime-cpudetect --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-libspeex
      libavutil     50. 7. 0 / 50. 7. 0
      libavcodec    52.48. 0 / 52.48. 0
      libavformat   52.47. 0 / 52.47. 0
      libavdevice   52. 2. 0 / 52. 2. 0
      libavfilter    1.17. 0 /  1.17. 0
      libswscale     0. 9. 0 /  0. 9. 0
      libpostproc   51. 2. 0 / 51. 2. 0
     D V D  h264            H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10
      EV    libx264         libx264 H.264 / AVC / MPEG-4 AVC / MPEG-4 part 10
    Code:
    ffmpeg  -formats  | grep 264
    FFmpeg version SVN-r21500, Copyright (c) 2000-2010 Fabrice Bellard, et al.
      built on Jan 28 2010 09:49:28 with gcc 4.4.1
      configuration: --enable-gpl --enable-version3 --enable-libdirac --enable-libschroedinger --enable-nonfree --enable-postproc --enable-pthreads --enable-libfaac --enable-libfaad --enable-libmp3lame --enable-avfilter --enable-libtheora --enable-libvorbis --enable-libx264 --enable-libxvid --enable-x11grab --enable-libdc1394 --enable-runtime-cpudetect --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-libspeex
      libavutil     50. 7. 0 / 50. 7. 0
      libavcodec    52.48. 0 / 52.48. 0
      libavformat   52.47. 0 / 52.47. 0
      libavdevice   52. 2. 0 / 52. 2. 0
      libavfilter    1.17. 0 /  1.17. 0
      libswscale     0. 9. 0 /  0. 9. 0
      libpostproc   51. 2. 0 / 51. 2. 0
     DE h264            raw H.264 video format
      E ipod            iPod H.264 MP4 format
    Greetings
    Henrikx

    Ego sum, qui sum

  8. #848
    Join Date
    Dec 2009
    Beans
    378

    Re: HOWTO: Install and use the latest FFmpeg and x264

    I have followed this post for installation http://ubuntuforums.org/showthread.php?t=786095

    What do you think about the problem?

  9. #849
    Join Date
    Sep 2006
    Beans
    3,589

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by Ralob View Post
    This guide is the best I have seen yet.

    I have one question though. Should the pkgversion be 5:0 now?
    I'm glad you like the guide. Are you referring to the epoch? According to the Ubuntu Policy Manual, the format is: [epoch:]upstream_version[-debian_revision] and the epoch is "provided to allow mistakes in the version numbers of older versions of a package, and also a package's previous version numbering schemes, to be left behind".

    I had to look this up because I can't seem to make myself learn the proper way of versioning my self-compiled packages. I simply edit the pkgversion to properly reflect the build date which conincidentaly is always higher than the official repository version and therefore makes apt not suggest an upgrade with the official, and older, version.

  10. #850
    Join Date
    May 2007
    Beans
    7

    Re: HOWTO: Install and use the latest FFmpeg and x264

    I'm trying to follow this HOWTO on a Debian Lenny installation and I get an error (undefined reference to `x264_encoder_open_84') when I try to make ffmpeg:

    Code:
    ffmpeg.c: In function ‘do_video_out’:
    ffmpeg.c:1023: warning: passing argument 2 of ‘sws_scale’ from incompatible pointer type
    ffmpeg.c: In function ‘output_packet’:
    ffmpeg.c:1317: warning: suggest parentheses around && within ||
    gcc -L"/home/brian/Videos/ffmpeg"/libavcodec -L"/home/brian/Videos/ffmpeg"/libavdevice -L"/home/brian/Videos/ffmpeg"/libavfilter -L"/home/brian/Videos/ffmpeg"/libavformat -L"/home/brian/Videos/ffmpeg"/libavutil -L"/home/brian/Videos/ffmpeg"/libpostproc -L"/home/brian/Videos/ffmpeg"/libswscale -Wl,--warn-common -Wl,--as-needed -Wl,-rpath-link,"/home/brian/Videos/ffmpeg"/libpostproc -Wl,-rpath-link,"/home/brian/Videos/ffmpeg"/libswscale -Wl,-rpath-link,"/home/brian/Videos/ffmpeg"/libavfilter -Wl,-rpath-link,"/home/brian/Videos/ffmpeg"/libavdevice -Wl,-rpath-link,"/home/brian/Videos/ffmpeg"/libavformat -Wl,-rpath-link,"/home/brian/Videos/ffmpeg"/libavcodec -Wl,-rpath-link,"/home/brian/Videos/ffmpeg"/libavutil -Wl,-Bsymbolic -o ffmpeg_g ffmpeg.o cmdutils.o -lavdevice -lavformat -lavcodec -lpostproc -lswscale -lavutil -lz -lbz2 -pthread -lm -lfaac -lfaad -lmp3lame -lm -lopencore-amrnb -lm -lopencore-amrwb -lm -ltheoraenc -ltheoradec -logg -lx264 -lm -lxvidcore -lasound -ljack -ldl -lasound -ljack -lX11 -lXext -lXfixes -lasound
    /home/brian/Videos/ffmpeg/libavcodec/libavcodec.a(libx264.o): In function `X264_init':
    /home/brian/Videos/ffmpeg/libavcodec/libx264.c:286: undefined reference to `x264_encoder_open_84'
    collect2: ld returned 1 exit status
    make: *** [ffmpeg_g] Error 1
    rm ffmpeg.o
    I've tried to follow the steps very closely (with the exception of building all this in my /home partition as I worried my / partition would run out of space.) Any thoughts?

Page 85 of 236 FirstFirst ... 3575838485868795135185 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •